%define pkg_name        DBIx-ShowCaller
%define pkg_version     0.80
%define rpm_pkg_version 0.80
%define rpm_pkg_release 2.n0i.2

Summary:       Adds a Perl caller info to the SQL command
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JA/JANPAZ/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(DBI) >= 1.13}


%description
This module can be used instead of the DBI module. For each SQL command
that is prepared (both using $dbh->prepare and via do, selectall_* and the
like) it prepends a /* */ style comment containing information about file
and line that called that prepare/selectall_*/other method. Thus it makes
it easier to see where a particular SQL command came from. Only database
servers that log the whole SQL command (like Oracle or MySQL) can make
reasonable use of this. Also, if you call the same SQL from different
places of your code, the comment will be different and the SQL server won't
be able to reuse parsed info. Consider the speed tradeoff here.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.80-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.80-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
